{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
        <div class="page-wrapper">
            
            <div class="container-fluid">
                <div class="row">
                    <div class="container">
                        <center>
                            {% if error %}
                            <p class=error><strong>Error:</strong> {{ error }}
                            {% endif %}
                            <br>
                            {% with messages = get_flashed_messages(with_categories=true) %}
                            {% if messages %}
                            <div class="alert alert-{{ messages.0.0 }}" role="alert">
                            {% for category, message in messages %}
                            {{ message }} </br>
                            {% endfor %}
                            *</div>
                            {% endif %}
                            {% endwith %}
                            </center>
                            <br>
                        <div class="card">
                            <div class="card-body">
                              <h3><i class="m-r-10 mdi mdi-account-circle"></i> Sender : <x style="color: chocolate;">{{msgs.name}}</x></h3>
                              <h3><i class="m-r-10 mdi mdi-email-variant"></i> Email : <x style="color: chocolate;">{{msgs.mail}}</x></h3>
                              <h3><i class="m-r-10 mdi mdi-format-title"></i> Subject : <x style="color: chocolate;">{{msgs.sub}}</x></h3>
                              <h3>
                                  <i class="m-r-10 mdi mdi-ticket-confirmation"></i> Status : 
                                  {%if msgs.is_closed == 1%}
                                  <span class="label label-rounded label-danger">Closed</span>
                                  {%else%}
                                  <span class="label label-rounded label-primary">Open</span>
                                  {%endif%}
                                </h3>
                              <h3><i class="m-r-10 mdi mdi-timer"></i> Received at : <x style="color: chocolate;">{{msgs.msg_time.strftime('%A,%d,%Y || %H:%M')}}</x></h3>
                                <hr>
                                <hr>
                                <h3>{{msgs.msg}}</h3>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-body">
                                <form class="form-horizontal form-material" method="POST">
                                    {{ form.csrf_token }}
                                    {{ ckeditor.load() }}
                                    {{ ckeditor.config(name='txt') }}
                                    <div class="form-group">
                                        <label class="col-md-12">Email : </label>
                                        <div class="col-md-12">
                                        <input class="form-control form-control-line" id="email" name="email" required="" rows="3" type="text" value="{{msgs.mail}}">
                                    </div>
                                        {% for error in form.email.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                    </div>
                                    <div class="form-group">
                                        <label class="col-md-12">Message : </label>
                                        <div class="col-md-12">
                                            {{ form.txt(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                        {% for error in form.txt.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                    </div>
                                    <div class="form-group">
                                        <div class="col-md-12">
                                            <button class='btn pull-left btn-success' type='submit'><i class="m-r-10 mdi mdi-send"></i> Send message</button>
                                            <a href="" class="btn pull-left btn-primary"><i class="m-r-10 mdi mdi-bookmark-check"></i> Close message</a>
                                        </div>
                                       
                                    </div>
                                
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    {% endblock content %}
